package com.yunyan.business.service;

import java.util.List;
import com.yunyan.business.domain.ReportFill;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yunyan.common.core.domain.AjaxResultVo;

/**
 * 报告-填报数据Service接口
 *
 * @author yunyan
 * @date 2023-12-11
 */
public interface IReportFillService extends IService<ReportFill>
{

    /**
     * 查询报告-填报数据列表
     *
     * @param reportFill 报告-填报数据
     * @return 报告-填报数据集合
     */
    public List<ReportFill> selectReportFillList(ReportFill reportFill);

    /**
    * 新增
    * @param
    * @return
    */
    AjaxResultVo add(ReportFill dto);

    /**
     * 编辑
     * @param
     * @return
     */
    AjaxResultVo edit(ReportFill dto);

    /**
     * 详情
     * @param id
     * @return
     */
    AjaxResultVo info(Long id);

    /**
     * 更新 或者 保存
     * @param reportId
     * @param jsonConetns
     * @return
     */
    boolean saveOrUpdateFille(Long reportId, String jsonConetns);

    /**
     * 获取 报告的 填报数据
     * @param reportId
     * @return
     */
    String getReportFillLast(Long reportId);

}
